Bug 1157201 - Review Request: python-flask-imgur - Upload images straight to Imgur in your Flask app.
Summary: Review Request: python-flask-imgur - Upload images straight to Imgur in your ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-26 02:23 UTC by Walter D. Vargas
Modified: 2015-08-16 07:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-24 04:39:30 UTC
Type: ---


Attachments (Terms of Use)

Description Walter D. Vargas 2014-10-26 02:23:09 UTC
Spec URL: <https://pynash.fedorapeople.org/rpms/flask_imgur/python-flask-imgur.spec>
SRPM URL: <https://pynash.fedorapeople.org/rpms/flask_imgur/python-flask-imgur-0.1-1.fc20.src.rpm>
Description: <This is simple flask extension allowing uploading images straight to Imgur image hosting service.> >
Fedora Account System Username: pynash

Comment 1 Parag AN(पराग) 2014-10-26 02:32:10 UTC
Hi Walter,
   We have this process http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group to get sponsored in packager group. Can you either submit few more packages and/or some (3-5) package reviews? This is needed to make sure package submitter understands packaging well and follows as per fedora packaging guidelines.

Please go through links
1) http://fedoraproject.org/wiki/Package_Review_Process

2) https://fedoraproject.org/wiki/PackagingGuidelines

3) To find package already submitted for review check http://fedoraproject.org/PackageReviewStatus/

4) http://fedoraproject.org/wiki/Packaging:ReviewGuidelines

5) https://fedorahosted.org/FedoraReview/ this is fedora-review tool to help review packages in fedora.

If you got any questions please ask :)

Comment 2 William Moreno 2014-11-03 18:10:13 UTC
Hello Walter:

I am not a new packagers sponsonr but I can help in the review procces of your package with a informal review, please remember than you will need to look for a sponsor to aprove your request:

I am only comments some points than require atention:


[!]: Package consistently uses macros (instead of hard-coded directory names).
 
We have defined this macros than you can use in the %%files sección
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

If you are not going to Epel can remove firts lines of the .spec, this macros are allready defined in Fedora

Here is a example of a .spec you can check:

https://williamjmorenor.fedorapeople.org/rpmdev/python-slugify.spec

Rpmlint
-------
Checking: python-flask-imgur-0.1-1.fc20.noarch.rpm
          python-flask-imgur-0.1-1.fc20.src.rpm
python-flask-imgur.noarch: E: description-line-too-long C This is simple flask extension allowing uploading images straight to Imgur image hosting service.
python-flask-imgur.noarch: W: no-documentation
python-flask-imgur.src: E: description-line-too-long C This is simple flask extension allowing uploading images straight to Imgur image hosting service.
python-flask-imgur.src:31: W: macro-in-comment %{__python2}
python-flask-imgur.src:45: W: macro-in-comment %{python_sitearch}
2 packages and 0 specfiles checked; 2 errors, 3 warnings.

Error:
Remember than spec file must fill in 80 characteres per line, 

Warning:
You have this line in your %%files section

# For arch-specific packages: sitearch
#%{python_sitearch}/*

If this is not needed remove it for the .spec

Also upstream is not providing a License file in the tarball, you can patch it, and request upstream to add the License file in futures releases.

Comment 3 Eduardo Echeverria 2014-11-04 02:45:52 UTC
Hi Parag, I'm serving as mentor of walter since the latest fudcon. (along with other guys) they are trying to package some flask libraries that yet not are in fedora. 

Walter, will be very appreciated that you could do some informal reviews to other packagers, or take some packages of the discussed list in fudcon.

I'm able to sponsor to you,  if one of these  conditions are accomplished.

So, we can pass to the comments.
It is good habit, (in the case of python packages) see the setup.py, the requirements files, or the imports of the files for looking for  the requires of the package.

if you see the setup.py 

install_requires=["Flask", "six >= 1.7.3"],

and in the flask-imgur.py you can see
from six.moves import urllib

As you can see, you need the requires, Flask and python-six

- Take into account the William's comments.
- Remove the flags of the %build section. it is only needed if the package contains arched contents
- Clean manually the buildroot it is not necessary in newer versions of fedora (this applies only in epel5) - see %install section => rm -rf $RPM_BUILD_ROOT

- BTW, remove the unneded comments
# For noarch packages: sitelib
And please, list the files one per one, this is not mandatory, but if in the future there are content that not accomplish with fedora guidelines, you can see of the quick way.

=> %{python_sitelib}/*

Do you want package this for epel, if so, take into account that the macro %{_python2} does not exists there

Use this workaround
%{!?__python2: %global __python2 %{__python}}

Also, will be good see the epel guidelines.

Hoping your revisions.

Thanks :)

Comment 4 Parag AN(पराग) 2014-11-04 02:49:10 UTC
Edurado,
  Sure go ahead and sponsor this person :)

Comment 5 Eduardo Echeverria 2014-11-12 02:41:48 UTC
Any update?

Comment 6 Walter D. Vargas 2014-11-18 16:56:39 UTC
hello guys, I want to thank you for all the support and suggestions.

I must inform you that at this moment I'm working on a project that ends this week, and for that reason I could not do any upgrade.

next week and will be with more time and we will do everything possible to advance.

Greetings.

Comment 7 Eduardo Echeverria 2015-01-12 09:19:11 UTC
Walter, any update here? that week was very long :)

Comment 8 Walter D. Vargas 2015-01-12 17:13:55 UTC
Hi Eduardo. ok, I'm ready to go with the package. only for now I must finish setting up my computer because I have recently installed fedora-workstation, I must prepare the environment while doing some maintenance on some machines, but this week and I'll be more active, and yes, it was definitely very long week :( best said the project.

Comment 9 Parag AN(पराग) 2015-07-22 08:23:40 UTC
Any progress here?

Comment 10 Eduardo Echeverria 2015-07-24 04:39:30 UTC
I don't think so, this potential contributor has not responded for seven months, so it is unlikely that him could follow with this package. i will close for now, feel free to open a new review request if you still are interested to work in this


Note You need to log in before you can comment on or make changes to this bug.